import { Injectable } from '@angular/core';
import {
  HttpRequest,
  HttpHandler,
  HttpEvent,
  HttpInterceptor
} from '@angular/common/http';
import { Observable } from 'rxjs';
import { MessageService } from './message.service';

@Injectable()
export class AuthHandlerInterceptor implements HttpInterceptor {

  token: String = "abc"

  constructor(private messageService: MessageService) {}

  intercept(request: HttpRequest<unknown>, next: HttpHandler): Observable<HttpEvent<unknown>> {
    if (request.url.includes('api.hv.nober.de')) {
      const clone = request.clone({
        setHeaders: { Authorization: `Bearer ${this.token}`}
      })
      return next.handle(clone)
    }

    return next.handle(request);
  }
}
